import { useMemo } from "react"
import { useLocation } from "react-router-dom"
import { ChainSelect } from "../components"

export const Header = () => {
    const location = useLocation()
    const currentPath = useMemo(() => {
        switch (location.pathname.replace("/", "").toLowerCase()) {
            case "health":
                return "Health Check"
            case "transactions":
                return "Transactions"
            case "book":
                return "Address Book"
            default:
                return "Health Check";
        }
    }, [location])


    return (
        <div className="flex flex-row w-full justify-between">
            <h2 className="text-3xl font-semibold">
                {currentPath}
            </h2>
            <ChainSelect />
        </div>
    )
}
